import influxframework
from influxframework.desk.utils import slug


def execute():
	for doctype in influxframework.get_all("DocType", ["name", "route"], dict(istable=0)):
		if not doctype.route:
			influxframework.db.set_value("DocType", doctype.name, "route", slug(doctype.name), update_modified=False)
